"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.App = void 0;
var Router_1 = require("./Router");
var Config_1 = require("./Services/Config");
var Path_1 = require("./Services/Path");
var http = require('http');
var port = process.env.PORT;
var App = /** @class */ (function () {
    function App() {
        var pathService = new Path_1.PathService(process.cwd());
        this.pathService = pathService;
        this.configService = new Config_1.ConfigService(this.pathService.configPath());
        try {
            Promise.resolve().then(function () { return __importStar(require(pathService.routesPath('web.js'))); });
        }
        catch (error) {
            console.error('import failed');
        }
        this.server = http.createServer(function (req, res) {
            res.statusCode = 200;
            res.setHeader('Content-Type', 'text/html');
            Router_1.router.dispatch(req, res);
        });
    }
    App.prototype.run = function () {
        this.server.listen(port, function () {
            console.log("Server running at port " + port);
        });
    };
    return App;
}());
exports.App = App;
